export interface Point {
    x: number;
    y: number;
}
export interface Point3D {
    x: number;
    y: number;
    z: number;
}
export interface Rectangle {
    x: number;
    y: number;
    w: number;
    h: number;
}
export declare const abs: (x: number) => number;
export declare const acos: (x: number) => number;
export declare const acosh: (x: number) => number;
export declare function acos_deg(x: number): number;
export declare function acot(x: number): number;
export declare function acot2(a: number, b: number): number;
export declare function acot_deg(x: number): number;
export declare function acot2_deg(a: number, b: number): number;
export declare const asin: (x: number) => number;
export declare const asinh: (x: number) => number;
export declare function asin_deg(x: number): number;
export declare const atan: (x: number) => number;
export declare const atanh: (x: number) => number;
export declare function atan_deg(x: number): number;
export declare const atan2: (y: number, x: number) => number;
export declare function atan2_deg(a: number, b: number): number;
export declare const ceil: (x: number) => number;
export declare const cos: (x: number) => number;
export declare const cosh: (x: number) => number;
export declare function cos_deg(x: number): number;
/**
 * Integer division with "truncation toward zero".
 */
export declare function div_tt0(x: number, y: number): number;
/**
 * Integer division, always rounding down to the nearest integer regardless of sign of the result.
 */
export declare function div_rd(x: number, y: number): number;
export declare const exp: (x: number) => number;
export declare const floor: (x: number) => number;
export declare function interpolate(x0: number, x: number, x1: number, y0: number, y1: number): number;
export declare function interpolateModular(x0: number, x: number, x1: number, y0: number, y1: number, modulus: number, signedResult?: boolean): number;
export declare function interpolateTabular(xx: number[], yy: number[], x: number, maxSpan: number): number;
export declare function intersects(r1: Rectangle, r2: Rectangle): boolean;
export declare function irandom(maxValue: number): number;
export declare function irandom(lowest: number, highest: number): number;
export declare function limitNeg1to1(x: number, tolerance?: number): number;
export declare const HALF_PI: number;
export declare const log: (x: number) => number;
export declare const log2: (x: number) => number;
export declare const log10: (x: number) => number;
export declare const max: (...values: number[]) => number;
export declare const min: (...values: number[]) => number;
/**
 * A modulo operation complementary to div_rd(), differing from % in how the relationship between
 * the signs of the arguments and the result is handled.
 */
export declare function mod(x: number, y: number): number;
/**
 * For use with values such as angles, this modulo function splits the range of the modulus
 * between negative and positive numbers, [-y/2, y/2), e.g. for a y of 360, the result ranges
 * from -180 up to (but not including) 180. This function can return non-integer values.
 */
export declare function mod2(x: number, y: number): number;
export declare const PI: number;
export declare const pow: (x: number, y: number) => number;
export declare function random(): number;
export declare function random(maxValue: number): number;
export declare function random(lowest: number, highest: number): number;
export declare const round: (x: number) => number;
export declare const sign: (x: number) => number;
export declare function signZN(x: number): number;
export declare function signZP(x: number): number;
export declare const sin: (x: number) => number;
export declare const sinh: (x: number) => number;
export declare function sin_deg(x: number): number;
export declare const sqrt: (x: number) => number;
export declare function squared(x: number): number;
export declare const tan: (x: number) => number;
export declare const tanh: (x: number) => number;
export declare function tan_deg(x: number): number;
export declare function to_degree(x: number): number;
export declare function to_radian(x: number): number;
export declare const TWO_PI: number;
export declare function union(r1: Rectangle, r2: Rectangle): Rectangle;
